---
title: XRInputSource.handedness
slug: Web/API/XRInputSource/handedness
tags:
  - API
  - AR
  - Controller
  - Handedness
  - Input
  - Property
  - Read-only
  - Reference
  - VR
  - WebXR
  - WebXR API
  - WebXR Device API
  - XR
  - XRInputSource
  - hand
  - left
  - right
---
<p>{{APIRef("WebXR")}}{{securecontext_header}}</p>

<p>The read-only {{domxref("XRInputSource")}} property <code><strong>handedness</strong></code> indicates which of the user's hands the WebXR input source is associated with, or if it's not associated with a hand at all.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">let <em>hand</em> = <em>xrInputSource</em>.handedness;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMString")}} indicating whether the input controller is held in one of the user's hands, and if it is, which hand. The value, which comes from the {{domxref("XRHandedness")}} enumerated type, is one of the following:</p>

<p>{{page("/en-US/docs/Web/API/XRHandedness", "Values")}}</p>

<h2 id="Usage_notes">Usage notes</h2>

<p>If the input source is not a device associated with a user's hand (whether by being held, attached, or worn), the value of <code>handedness</code> is <code>none</code>. This may indicate, for example, an  input source which isn't hand-held, such as controls built into a headset or an input device attached to the head or body.</p>

<h2 id="Examples">Examples</h2>

<p>{{page("/en-US/docs/Web/API/XRHandedness", "Examples")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebXR','#dom-xrinputsource-handedness','XRInputSource.handedness')}}</td>
   <td>{{Spec2('WebXR')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div class="hidden">
<p>The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>
</div>

<p>{{Compat("api.XRInputSource.handedness")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/WebXR_Device_API">WebXR Device API</a></li>
 <li><a href="/en-US/docs/Web/API/WebXR_Device_API/Inputs">Inputs and input sources</a></li>
 <li><a href="/en-US/docs/Web/WebXR%20Device%20API/Gamepads">Using gamepads in WebXR applications</a></li>
</ul>
